/* co_julday_table.f -- translated by f2c (version 20100827).
   You must link the resulting object file with libf2c:
	on Microsoft Windows system, link with libf2c.lib;
	on Linux or Unix systems, link with .../path/to/libf2c.a -lm
	or, if you install libf2c.a in a standard place, with -lf2c -lm
	-- in that order, at the end of the command line, as in
		cc *.o -lf2c -lm
	Source for libf2c is in /netlib/f2c/libf2c.zip, e.g.,

		http://www.netlib.org/f2c/libf2c.zip
*/

#include "f2c.h"

/* Table of constant values */

static integer c__1 = 1;

/* Main program */ int MAIN__(void)
{
    /* Format strings */
    static char fmt_200[] = "(a)";
    static char fmt_100[] = "(4(2x,i6,1x,i4,\002-\002,i2.2,\002-\002,i2.2))";

    /* Builtin functions */
    integer s_wsfe(cilist *), e_wsfe(void), do_fio(integer *, char *, ftnlen);
    /* Subroutine */ int s_stop(char *, ftnlen);

    /* Local variables */
    extern /* Subroutine */ int cv_jul2000_to_date__(integer *, integer *, 
	    integer *, integer *), cv_jul1950_to_date__(integer *, integer *, 
	    integer *, integer *);
    static integer j, k, jud[4], jday[4], jyear[4], jmonth[4];

    /* Fortran I/O blocks */
    static cilist io___1 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___2 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___3 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___4 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___10 = { 0, 6, 0, fmt_100, 0 };
    static cilist io___12 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___13 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___14 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___15 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___16 = { 0, 6, 0, fmt_200, 0 };
    static cilist io___17 = { 0, 6, 0, fmt_100, 0 };
    static cilist io___18 = { 0, 6, 0, fmt_200, 0 };




    s_wsfe(&io___1);
    e_wsfe();
    s_wsfe(&io___2);
    do_fio(&c__1, "JULIAN DAY 1950  - DATE CORRESPONDENCE", (ftnlen)38);
    e_wsfe();
    s_wsfe(&io___3);
    e_wsfe();
    s_wsfe(&io___4);
    e_wsfe();

    for (j = 0; j <= 18624; j += 4) {

	jud[0] = j;
	jud[1] = j + 1;
	jud[2] = j + 2;
	jud[3] = j + 3;

	cv_jul1950_to_date__(jud, jyear, jmonth, jday);
	cv_jul1950_to_date__(&jud[1], &jyear[1], &jmonth[1], &jday[1]);
	cv_jul1950_to_date__(&jud[2], &jyear[2], &jmonth[2], &jday[2]);
	cv_jul1950_to_date__(&jud[3], &jyear[3], &jmonth[3], &jday[3]);

	s_wsfe(&io___10);
	for (k = 1; k <= 4; ++k) {
	    do_fio(&c__1, (char *)&jud[k - 1], (ftnlen)sizeof(integer));
	    do_fio(&c__1, (char *)&jyear[k - 1], (ftnlen)sizeof(integer));
	    do_fio(&c__1, (char *)&jmonth[k - 1], (ftnlen)sizeof(integer));
	    do_fio(&c__1, (char *)&jday[k - 1], (ftnlen)sizeof(integer));
	}
	e_wsfe();
/* L10: */
    }
    s_wsfe(&io___12);
    e_wsfe();

    s_wsfe(&io___13);
    e_wsfe();
    s_wsfe(&io___14);
    do_fio(&c__1, "JULIAN DAY 2000  - DATE CORRESPONDENCE", (ftnlen)38);
    e_wsfe();
    s_wsfe(&io___15);
    e_wsfe();
    s_wsfe(&io___16);
    e_wsfe();

    for (j = 0; j <= 10000; j += 4) {

	jud[0] = j;
	jud[1] = j + 1;
	jud[2] = j + 2;
	jud[3] = j + 3;

	cv_jul2000_to_date__(jud, jyear, jmonth, jday);
	cv_jul2000_to_date__(&jud[1], &jyear[1], &jmonth[1], &jday[1]);
	cv_jul2000_to_date__(&jud[2], &jyear[2], &jmonth[2], &jday[2]);
	cv_jul2000_to_date__(&jud[3], &jyear[3], &jmonth[3], &jday[3]);

	s_wsfe(&io___17);
	for (k = 1; k <= 4; ++k) {
	    do_fio(&c__1, (char *)&jud[k - 1], (ftnlen)sizeof(integer));
	    do_fio(&c__1, (char *)&jyear[k - 1], (ftnlen)sizeof(integer));
	    do_fio(&c__1, (char *)&jmonth[k - 1], (ftnlen)sizeof(integer));
	    do_fio(&c__1, (char *)&jday[k - 1], (ftnlen)sizeof(integer));
	}
	e_wsfe();
/* L20: */
    }
    s_wsfe(&io___18);
    e_wsfe();


    s_stop("co_julday_table.exe: normal termination", (ftnlen)39);
    return 0;
} /* MAIN__ */

/* Main program alias */ int co_julday_table__ () { MAIN__ (); return 0; }
